module Telefacil
  class AvisoLlamada < Base

    api_endpoint 'api_desvios'
    api_model    'desvio'

    # PARÁMETROS
    #   'nv' o 'ext': Número virtual o de extensión cuya URL de avisos se va a configurar.
    #   'url': La URL a la que se llamará cuando llegue una llamada, empiece un desvíos, se descuelgue o se cuelgue. Debe ir codificada (con url_encode). Ver Opciones avanzadas de aviso de llamada.
    #   'url_usuario' (opcional): para la autentificación de la URL (si la tiene).
    #   'url_password' (opcional): para la autentificación de la URL (si la tiene).
    #   'desvio_comienza': si es igual a 1, llama a la URL cuando el desvío comienza.
    #   'desvio_descuelga': si es igual a 1, llama a la URL cuando uno de los desvíos es descolgado.
    #   'desvio_cuelga': si es igual a 1, llama a la URL cuando el desvío que se descolgó se cuelga.
    #   'llamada_entra': (solo números virtuales) si es igual a 1, llama a la URL cuando la llamada llega (antes del desvío).

    def self.url(opts={})
      request(opts, 'url_avisos')
    end

  end
end
