module Telefacil
  class Consumo < Base

    api_endpoint 'api_consumos'
    api_model    'consumo'
    api_singular 'llamada'

    # PARÁMETROS
    #   'finicio' indica la fecha de inicio desde la que se quieren consultar los consumos. Debe estar en formato DD-MM-YYYY. Por defecto, toma el valor del día de hoy.
    #   'ffinal' indica la fecha final hasta la que se quieren consultar los consumos. Debe estar en formato DD-MM-YYYY. Por defecto, toma el valor del día de hoy.
    #   'llamante' permite filtrar llamadas según el llamante.
    #   'acceso' permite filtrar llamadas según el acceso usado en la llamada.
    #   'llamado' permite filtrar llamadas según el número llamado final.
    #   'ref_id' permite filtrar llamadas según su referencia interna.
    #   'tipo_filtro': si especifica más de un filtro (llamante, acceso, llamado, ref_id), puede variar el comportamiento con este parámetro. Sus posibles valores son AND (todos los filtros deben cumplirse) y OR (basta con que un filtro se cumpla). El valor por omisión es OR.
    #   'tipo_regla': regula las comparaciones entre los valores de llamado, llamante, acceso y ref_id y los filtros especificados. Sus valores son: ES, EMPIEZA_POR y CONTIENE. El valor por omisión es CONTIENE.

    def self.leer(opts={})
      request(opts)
    end

  end
end
