module Telefacil
  class Desvio < Base

    api_endpoint 'api_desvios'
    api_model    'desvio'

    # PARÁMETROS
    #   'nv': número virtual
    #   'ext': extensión
    #   'accion': que debe tomar el valor 'cambiar'.

    def self.leer(opts={})
      request(opts)
    end

    # PARÁMETROS
    #   'desvio1', 'desvio2', 'desvio3', 'desvio4', 'desvio5': los números de teléfono donde se recibirán las llamadas. Puede especificarlos todos, o sólo algunos, o ninguno.
    #   'espera1', 'espera2', 'espera3', 'espera4', 'espera5': los segundos por los que se espera para realizar cada desvío. Por omisión, 0 segundos.
    # 
    #   Opcional:
    #   'horario': en la forma HHMMHHMM, siendo los primeros cuatro dígitos la hora y minutos de inicio, los últimos cuatro dígitos la hora y minutos de finalización. Por ejemplo, un horario 00:00-23:59 sería de la forma 00002359.
    #   'dias': un conjunto de caracteres (l: lunes, m: martes, x: miércoles, j: jueves, v: viernes, s: sábados, d: domingos, f: festivos) que especifican qué dias se ejecuta el horario. Por ejemplo, los días laborables se pondrían de la forma lmxjv. Fines de semana y festivos: sdf.
    #   'mascara': el número de teléfono que le llegará a los desvíos. Puede ser 'privado' (número oculto), 'semiprivado' (parcialmente oculto por ceros), 'numero_virtual' o 'centralita'.

    def self.cambiar(opts={})
      request(opts, 'cambiar')
    end

    def self.borrar(opts={})
      request(opts, 'borrar')
    end

  end
end
