module Telefacil
  class Filtro < Base

    api_endpoint 'api_filtros'
    api_model    'filtro'

    # PARÁMETROS:
    #   - 'nv': número virtual al que se quieren consultar o modificar los filtros.
    #   - 'centralita': número de centralita al que se quieren consultar o modificar los filtros
    #   - 'ext': extensión a la que se quieren consultar o modificar los filtros.
    #   - 'fax': número de fax al que se quieren consultar o modificar los filtros.
    #   - nada si se desea consultar o modificar los filtros que afectan a todos los números de centralita de la cuenta (antes de las extensiones).

    def self.leer(opts={})
      request(opts)
    end

    # PARÁMETROS:
    # telefono=XXXXXXXXX, donde XXXXXXXXX es el número de teléfono que queremos filtrar (también puede tomar los valores 'privado' para todos los números privados o 'resto' para todos los teléfonos no especificados en los otros filtros)
    # accion_filtro={buzon|comunicar|no_contestar|mensaje|no_filtrar}, es la acción filtradora a realizar cuando llame el anterior número de teléfono
    # comentario=... (opcional)

    def self.insertar(opts={})
      request(opts, 'insertar')
    end

    # PARÁMETROS:
    # id=X, donde X es la ID del filtro a borrar (normalmente un número, aunque también puede ser 'resto' o 'privado')

    def self.borrar(opts={})
      request(opts, 'eliminar')
    end

    def self.borrar_todo(opts={})
      request(opts, 'eliminar_todo')
    end

  end
end
